<?php

/**
 * @file
 * Defines the MaPS Suite Log Broken class.
 */

namespace Drupal\maps_suite\Log;

use Drupal\maps_suite\Log\Context\ContextInterface;
use Drupal\maps_suite\Log\Observer\ObserverInterface;

/**
 * Maps Suite Log Broken class.
 *
 * Used for simple watchdog log.
 */
class Broken implements LogInterface {

  /**
   * @inheritdoc
   */
  public function save() {}

  /**
   * @inheritdoc
   */
  public function getLogDir() {}

  /**
   * @inheritdoc
   */
  public function addContext(ContextInterface $context, $type = 'sibling') {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function setCurrentOperation($index) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function incrementCurrentOperation() {}

  /**
   * @inheritdoc
   */
  public function setTotalOperations($count) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function getPercentage() {}

  /**
   * @inheritdoc
   */
  public function addMessage($text, array $options = array()) {
    watchdog('maps_suite', $text, $options['variables'], $options['level'], reset($options['links']));
  }

  /**
   * @inheritdoc
   */
  public function addMessageFromException(\Exception $e, array $links = array()) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function deleteMessages() {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function getMessages() {
    return array();
  }

  /**
   * @inheritdoc
   */
  public function updateContextsLevel($context, $level) {}

  /**
   * @inheritdoc
   */
  public function moveToContentRoot() {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function deleteContext() {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function goToContext($contextName, $autoCreate = FALSE) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function moveToParent($contextType = NULL) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function addObserver(ObserverInterface $observer) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function getRelatedTokens() {
    return array();
  }

  /**
   * @inheritdoc
   */
  public function setRelatedToken($key, $value) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function setIntroductionMessage($message) {
    return $this;
  }

  /**
   * @inheritdoc
   */
  public function getIntroductionMessage() {}

  /**
   * @inheritdoc
   */
  public function getPath() {}

  /**
   * @inheritdoc
   */
  public function getType() {}

  /**
   * @inheritdoc
   */
  public function getUrl() {}

  /**
   * @inheritdoc
   */
  public function __toString() {
    return '';
  }

}
